## org.hibernate.mapping
Class IdGenerator

    java.lang.Object
      org.hibernate.mapping.IdGenerator

All Implemented Interfaces:
  Serializable

    public class IdGenerator

extends Object
implements Serializable

Identifier generator container, Useful to keep named generator in annotations

Author:
  Emmanuel Bernard
See Also:
  Serialized Form

Constructor Summary
`IdGenerator()`

Method Summary
`void` `addParam(String key, String value)`
`String` `getIdentifierGeneratorStrategy()`
`String` `getName()`
`Properties` `getParams()`
`void` `setIdentifierGeneratorStrategy(String string)`
`void` `setName(String string)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdGenerator

    public IdGenerator()

Method Detail

### getIdentifierGeneratorStrategy

    public String getIdentifierGeneratorStrategy()

  Returns:
    identifier generator strategy

### getName

    public String getName()

  Returns:
    generator name

### getParams

    public Properties getParams()

  Returns:
    generator configuration parameters

### setIdentifierGeneratorStrategy

    public void setIdentifierGeneratorStrategy(String string)

### setName

    public void setName(String string)

### addParam

    public void addParam(String key,
                         String value)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.